Name:           opencfu
Version:        3.8.11
Release:        5%{?dist}
Summary:        An application to count bacterial colonies and other circular objects
URL:            http://opencfu.sourceforge.net
Source0:        http://downloads.sourceforge.net/project/%{name}/linux/%{name}-%{version}.tar.gz
License:        GPLv3+
BuildRequires:  desktop-file-utils
BuildRequires:  gtkmm24-devel
BuildRequires:  opencv-devel

%description
OpenCFU is a completely open source lightweight application designed to 
enumerate clustered circular objects such as bacterial colonies. It can 
handle digital pictures as well as live stream from a video device/webcam. 
OpenCFU is cross-platform, fast, reliable and allows the user to implement 
intuitive filters.

OpenCFU is published on PLoS ONE:
http://www.plosone.org/article/info%3Adoi%2F10.1371%2Fjournal.pone.0054072

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 3.8.11-4
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Sep 03 2013 Christopher Meng <rpm@cicku.me> - 3.8.11-1
- Update to new version.

* Sat Aug 10 2013 Christopher Meng <rpm@cicku.me> - 3.8.10-1
- Update to new version.

* Thu Aug 08 2013 Christopher Meng <rpm@cicku.me> - 3.8.9-2
- Add missing BR of desktop file check.

* Tue Aug 06 2013 Christopher Meng <rpm@cicku.me> - 3.8.9-1
- Update to new version.

* Thu Aug 01 2013 Christopher Meng <rpm@cicku.me> - 3.8.8-2
- Fix the desktop file.
- Fix the license.

* Sat Jul 27 2013 Christopher Meng <rpm@cicku.me> - 3.8.8-1
- Update to new version.

* Thu Jul 18 2013 Christopher Meng <rpm@cicku.me> - 3.8.7-1
- Update to new version.

* Thu Jun 20 2013 Christopher Meng <rpm@cicku.me> - 3.8.5-1
- Update to new version.

* Fri Sep 07 2012 Christopher Meng <rpm@cicku.me> - 3.3-1
- Update to new version.

* Sun Aug 12 2012 Christopher Meng <rpm@cicku.me> - 3.0-1
- Initial Package.
